package com.jeeww.web.admin.dto.menumanage;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 菜单管理DTO.
 * @author 蒋文武
 */
public class MenuManageDTO implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 菜单主键.
     */
    private String            menuId;
    /**
     * 菜单名称.
     */
    private String            menuName;
    /**
     * 菜单父节点主键.
     */
    private String            menuParentId;
    /**
     * 叶子节点标志.
     */
    private String            leafFlag;
    /**
     * 根节点标志.
     */
    private String            rootFlag;
    /**
     * 排序号.
     */
    private BigDecimal        orderNum;

    /**
     * 获得菜单主键的值.
     * @return menuId
     */
    public String getMenuId() {
        return menuId;
    }

    /**
     * 设置菜单主键的值.
     * @param menuId parameter menuId
     */
    public void setMenuId(final String menuId) {
        this.menuId = menuId;
    }

    /**
     * 获得菜单名称的值.
     * @return menuName
     */
    public String getMenuName() {
        return menuName;
    }

    /**
     * 设置菜单名称的值.
     * @param menuName parameter menuName
     */
    public void setMenuName(final String menuName) {
        this.menuName = menuName;
    }

    /**
     * 获得菜单父节点主键的值.
     * @return menuParentId
     */
    public String getMenuParentId() {
        return menuParentId;
    }

    /**
     * 设置菜单父节点主键的值.
     * @param menuParentId parameter menuParentId
     */
    public void setMenuParentId(final String menuParentId) {
        this.menuParentId = menuParentId;
    }

    /**
     * 获得叶子节点标志的值.
     * @return leafFlag
     */
    public String getLeafFlag() {
        return leafFlag;
    }

    /**
     * 设置叶子节点标志的值.
     * @param leafFlag parameter leafFlag
     */
    public void setLeafFlag(final String leafFlag) {
        this.leafFlag = leafFlag;
    }

    /**
     * 获得根节点标志的值.
     * @return rootFlag
     */
    public String getRootFlag() {
        return rootFlag;
    }

    /**
     * 设置根节点标志的值.
     * @param rootFlag parameter rootFlag
     */
    public void setRootFlag(final String rootFlag) {
        this.rootFlag = rootFlag;
    }

    /**
     * 获得排序号的值.
     * @return orderNum
     */
    public BigDecimal getOrderNum() {
        return orderNum;
    }

    /**
     * 设置排序号的值.
     * @param orderNum parameter orderNum
     */
    public void setOrderNum(final BigDecimal orderNum) {
        this.orderNum = orderNum;
    }
}
